ServerNotification (Mule ESB 2.2.1 API)
Keywords: org.mule.api.context.notification.ServerNotification class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.context.notification
Class ServerNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ComponentMessageNotification, ConnectionNotification, CustomNotification, EndpointMessageNotification, ExceptionNotification, ManagementNotification, ModelNotification, MuleContextNotification, RegistryNotification, RemoteDispatcherNotification, RoutingNotification, SecurityNotification, ServiceNotification, TransactionNotification

    public abstract class ServerNotification

extends EventObject

`ServerNotification` is an event triggered by something happening in the Server itself such as the server starting or a service being registered.

See Also:
  Serialized Form

Field Summary
`protected int` | `action`
`protected static int` | `ADMIN_EVENT_ACTION_START_RANGE`
`protected static int` | `COMPONENT_EVENT_ACTION_START_RANGE`
`protected static int` | `CONNECTION_EVENT_ACTION_START_RANGE`
`protected static int` | `CONTEXT_EVENT_ACTION_START_RANGE`
`protected static int` | `CUSTOM_EVENT_ACTION_START_RANGE`
`String` | `EVENT_NAME`
`protected static int` | `EXCEPTION_EVENT_ACTION_START_RANGE`
`protected static int` | `MANAGEMENT_EVENT_ACTION_START_RANGE`
`protected static int` | `MESSAGE_EVENT_ACTION_START_RANGE`
`protected static int` | `MODEL_EVENT_ACTION_START_RANGE`
`static int` | `NO_ACTION_ID`
`static String` | `NO_ACTION_NAME`
`static int` | `NULL_ACTION`
`static Object` | `NULL_MESSAGE`
`protected static int` | `REGISTRY_EVENT_ACTION_START_RANGE`
`protected String` | `resourceIdentifier` The resourceIdentifier is used when firing inbound server notifications such as Admin notifications or other action notifications triggered by an external source Used to associate the event with a particular resource.
`protected static int` | `ROUTING_EVENT_ACTION_START_RANGE`
`protected static int` | `SECURITY_EVENT_ACTION_START_RANGE`
`protected String` | `serverId`
`protected static int` | `SERVICE_EVENT_ACTION_START_RANGE`
`protected static int` | `SPACE_EVENT_ACTION_START_RANGE`
`protected long` | `timestamp`
`protected static int` | `TRANSACTION_EVENT_ACTION_START_RANGE`
`static String` | `TYPE_ERROR`
`static String` | `TYPE_FATAL`
`static String` | `TYPE_INFO`
`static String` | `TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ServerNotification(Object message, int action)`
`ServerNotification(Object message, int action, String resourceIdentifier)`

Method Summary
`int` | `getAction()`
`static int` | `getActionId(String action)`
`String` | `getActionName()`
`static String` | `getActionName(int action)`
`protected String` | `getPayloadToString()`
`String` | `getResourceIdentifier()`
`String` | `getServerId()`
`long` | `getTimestamp()`
`String` | `getType()`
`boolean` | `isResourceIdentifierAnUri()`
`protected static void` | `registerAction(String name, int i)`
`String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_ACTION_ID

    public static final int NO_ACTION_ID

See Also:
  Constant Field Values

### NO_ACTION_NAME

    public static final String NO_ACTION_NAME

See Also:
  Constant Field Values

### TYPE_INFO

    public static final String TYPE_INFO

See Also:
  Constant Field Values

### TYPE_WARNING

    public static final String TYPE_WARNING

See Also:
  Constant Field Values

### TYPE_ERROR

    public static final String TYPE_ERROR

See Also:
  Constant Field Values

### TYPE_FATAL

    public static final String TYPE_FATAL

See Also:
  Constant Field Values

### CONTEXT_EVENT_ACTION_START_RANGE

    protected static final int CONTEXT_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### MODEL_EVENT_ACTION_START_RANGE

    protected static final int MODEL_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### SERVICE_EVENT_ACTION_START_RANGE

    protected static final int SERVICE_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### SECURITY_EVENT_ACTION_START_RANGE

    protected static final int SECURITY_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### MANAGEMENT_EVENT_ACTION_START_RANGE

    protected static final int MANAGEMENT_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### ADMIN_EVENT_ACTION_START_RANGE

    protected static final int ADMIN_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### CONNECTION_EVENT_ACTION_START_RANGE

    protected static final int CONNECTION_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### MESSAGE_EVENT_ACTION_START_RANGE

    protected static final int MESSAGE_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### SPACE_EVENT_ACTION_START_RANGE

    protected static final int SPACE_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### REGISTRY_EVENT_ACTION_START_RANGE

    protected static final int REGISTRY_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### EXCEPTION_EVENT_ACTION_START_RANGE

    protected static final int EXCEPTION_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### TRANSACTION_EVENT_ACTION_START_RANGE

    protected static final int TRANSACTION_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### ROUTING_EVENT_ACTION_START_RANGE

    protected static final int ROUTING_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### COMPONENT_EVENT_ACTION_START_RANGE

    protected static final int COMPONENT_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### CUSTOM_EVENT_ACTION_START_RANGE

    protected static final int CUSTOM_EVENT_ACTION_START_RANGE

See Also:
  Constant Field Values

### NULL_ACTION

    public static final int NULL_ACTION

See Also:
  Constant Field Values

### NULL_MESSAGE

    public static final Object NULL_MESSAGE

### EVENT_NAME

    public final String EVENT_NAME

### serverId

    protected String serverId

### timestamp

    protected long timestamp

### action

    protected int action

### resourceIdentifier

    protected String resourceIdentifier

  The resourceIdentifier is used when firing inbound server notifications such as Admin notifications or other action notifications triggered by an external source Used to associate the event with a particular resource. For example, if the event was a ServiceNotification the resourceIdentifier could be the name of a particular service

Constructor Detail

### ServerNotification

    public ServerNotification(Object message,
                              int action)

### ServerNotification

    public ServerNotification(Object message,
                              int action,
                              String resourceIdentifier)

Method Detail

### getAction

    public int getAction()

### getServerId

    public String getServerId()

### getResourceIdentifier

    public String getResourceIdentifier()

### getTimestamp

    public long getTimestamp()

### isResourceIdentifierAnUri

    public boolean isResourceIdentifierAnUri()

### toString

    public String toString()

  Overrides:
    `toString` in class `EventObject`

### getPayloadToString

    protected String getPayloadToString()

### getType

    public String getType()

### getActionName

    public String getActionName()

### registerAction

    protected static void registerAction(String name,
                                         int i)

### getActionName

    public static String getActionName(int action)

### getActionId

    public static int getActionId(String action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.